Name:           perl-HTTP-ProxyAutoConfig
Version:        0.3
Release:        7%{?dist}
Summary:        Use a .pac or wpad.dat file to get proxy information
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-ProxyAutoConfig/
Source0:        http://www.cpan.org/authors/id/M/MA/MACKENNA/HTTP-ProxyAutoConfig-%{version}.tar.gz
Source1:        LICENSE.correspondence
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.56
%{?_with_network_tests:
BuildRequires:  perl(Carp)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(LWP::UserAgent) >= 5.834
BuildRequires:  perl(Test::More)
}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
HTTP::ProxyAutoConfig allows perl scripts that need to access the Internet
to determine whether to do so via a proxy server. To do this, it uses proxy
settings provided by an IT department, either on the Web or in a browser's
.pac file on disk.

%prep
%setup -q -n HTTP-ProxyAutoConfig-%{version}
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
# tests require network access, disabled by default
%{?_with_network_tests: make test}

%files
%doc Changes examples README LICENSE.correspondence
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.3-5
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.3-2
- Perl 5.16 rebuild

* Mon Jan 23 2012 Petr Šabata <contyk@redhat.com> 0.3-1
- Specfile autogenerated by cpanspec 1.78.
